import { DeviceType, Station } from "eufy-security-client";
import { Modify } from "../state";
export interface StationStateSchema0 {
    name: string;
    model: string;
    serialNumber: string;
    hardwareVersion: string;
    softwareVersion: string;
    lanIpAddress: string;
    macAddress: string;
    currentMode: number;
    guardMode: number;
    connected: boolean;
}
declare type StationStateSchema1 = Modify<StationStateSchema0, {
    type: DeviceType;
}>;
export declare type StationState = StationStateSchema0 | StationStateSchema1;
export declare const dumpStation: (station: Station, schemaVersion: number) => StationState;
export {};
//# sourceMappingURL=state.d.ts.map